This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 490310 - X.org/evdev/HAL doesn't auto-detect OLPC keyboard
X.org/evdev/HAL doesn't auto-detect OLPC keyboard
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
11
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOnXO
  Show dependency treegraph
 
Reported: 2009-03-15 01:29 EDT by skierpage
Modified: 2010-06-28 07:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:28:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description skierpage 2009-03-15 01:29:19 EDT
Description of problem:
Running rawhide, X believes the XO-1 has a US pc105+inet keyboard.  But it has a special OLPC keyboard.

Version-Release number of selected component: X.org 1.6.0, evdev 2.2.0, ...

Steps to Reproduce:
1. Boot latest http://dev.laptop.org/~cjb/rawhide-xo/ or Sugar on a Stick on XO.
2. Look in /var/log/Xorg.0.log
3. setxkbmap -v
  
Actual results:
OLPC keyboard is not detected.

Expected results:
X.org, evdev, and hal magically detect the olpc keyboard type.

Workaround:
 setxkbmap -model olpc
makes some of the keys work, e.g. Alt Gr + key outputs the alternate graphic on some keys.

Additional info:
  lshal | grep system.hardware 
shows "OLPC C2", so HAL knows I have an XO-1.  In rawhide, /usr/share/HAL has C2 keyboard info, /usr/share/X11/xkb has olpc keymap info.  It's just not getting glued together.  Maybe fedora-setup-keyboard and /etc/sysconfig/keyboard are involved.

Note bug #455515 is a related bug that has morphed into the *details* of the OLPC keymap (e.g. Function keys vs. brightness and volume keys).  This bug is that it *doesn't work at all*.
Comment 1 Bug Zapper 2009-06-09 08:14:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 09:12:03 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 07:28:36 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.